Debian セキュリティ勧告

DSA-1275-1 zope2.7 -- クロスサイトスクリプティング

報告日時:
2007-04-02
影響を受けるパッケージ:
zope2.7
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 416500.
(SecurityFocus の) Bugtraq データベース: BugTraq ID 23084.
Mitre の CVE 辞書: CVE-2007-0240.
詳細:

クロスサイトスクリプティング脆弱性がウェブアプリケーションサーバ zope にあり、攻撃対象者のウェブブラウザへの任意の HTML や javascript の差し込みを攻撃者に許す可能性があります。 このコードはウェブブラウザのセキュリティコンテキスト内部で実行される可能性があり、 潜在的には、認証用クッキー等の秘密のデータへのアクセスや、zope ウェブページの描画や挙動に対する影響を攻撃者に許します。

安定版 (stable) ディストリビューション (sarge) では、この問題はバージョン 2.7.5-2sarge4 で修正されています。

次期安定版 (stable) ディストリビューション (etch) および不安定版 (unstable) ディストリビューション (sid) には zope2.9 が含まれており、この脆弱性は etch ではバージョン 2.9.6-4etch1、sid ではバージョン 2.9.7-1 で修正されています。

直ちに zope2.7 パッケージをアップグレードすることを勧めます。

修正:

Debian GNU/Linux 3.1 (stable)

ソース:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5.orig.tar.gz
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4.diff.gz
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4.dsc
Alpha:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_ia64.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_m68k.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/z/zope2.7/zope2.7_2.7.5-2sarge4_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。